import { StackProps } from '@mui/material/Stack';
export type ICarouselCardController = Omit<StackProps, 'children'> & {
    /**
     * The max steps of the carousel.
     */
    maxSteps: number;
    /**
     * The index of the active step.
     */
    activeStep: number;
    /**
     * Trigger when click the previous button.
     */
    onClickPrevious?: (index: number) => void;
    /**
     * Trigger when click the next button.
     */
    onClickNext?: (index: number) => void;
    /**
     * If true, the carousel will be infinite.
     */
    infinite?: boolean;
};
export declare const CarouselCardController: (props: ICarouselCardController) => import("react/jsx-runtime").JSX.Element;
