import { FC } from 'react';
import { BoxProps } from '@mui/material/Box';
/** The props type of [[`ICodeViewer`]]. */
export interface ICodeViewer extends BoxProps {
    /**
     * The full code to show in the code snippet.
     */
    code: string;
    /**
     * Language for the code, all languages type which prism supports are available
     * @default tsx
     */
    language?: string;
    /**
     * Wether to hide the copy button
     * @default false
     */
    copyButtonHidden?: boolean;
    /**
     * Wether to show the line numbers in the code
     * @default false
     */
    showLineNumbers?: boolean;
}
/**
 * Component to highlight the code provided by outside
 * @param {ICodeViewer} props
 * @returns React.Component
 */
export declare const CodeViewer: FC<ICodeViewer>;
