import React from 'react';
import { StackProps } from '@mui/material/Stack';
import { ICommentAuthor, ICommentRichText } from '../../CommentCard';
import { ICommentTextField } from './CommentTextField';
export type ICommentInput = StackProps & ICommentRichText & ICommentTextField & {
    /**
     * Author details for the currently logged in user for displaying next to the reply text field.
     */
    author: ICommentAuthor;
    /**
     *  Mapping of statuses to colors used for the status badges for authors. You can define your own custom status strings that you want to use or use the presets. Colors support SX shorthand.
     *
     * @default { available: 'success.light', away: 'grey.300', offline: 'error.main' }
     */
    statusMapping?: {
        [key: string]: string;
    };
};
export declare const CommentInput: React.ForwardRefExoticComponent<Omit<ICommentInput, "ref"> & React.RefAttributes<unknown>>;
