import { LexicalEditor } from 'lexical';
import { TranslateFuncType } from '../../../util/models';
import { ActionItem } from '../../../ActionGroup';
export type CommentToolboxActionItem = Omit<ActionItem, 'onClick'> & {
    onClick: (e: React.MouseEvent<HTMLElement, MouseEvent>, editor: LexicalEditor) => void;
};
export interface IToolbarPlugin {
    state?: 'add' | 'edit';
    onSave?: (editor: LexicalEditor) => void;
    onCancel?: () => void;
    max?: number;
    moreActions?: ReadonlyArray<CommentToolboxActionItem>;
    defaultExpanded?: boolean;
    isDataChanged?: boolean;
    hasAttachments?: boolean;
    acceptableMimeTypes?: ReadonlyArray<string>;
    t: TranslateFuncType;
}
export declare const ToolbarPlugin: (props: IToolbarPlugin) => import("react/jsx-runtime").JSX.Element;
