import { PopperProps } from '@mui/material/Popper';
import { IBasicComment, IComment, ICommentAction, ICommentAttachment, ICommentAuthor, ICommentRichText } from '../CommentCard';
export type ICommentThread = PopperProps & ICommentRichText & {
    /**
     * The details of the selected comment.
     */
    comment: IComment;
    /**
     * A list of replies to display in the comment thread.
     */
    replies: ReadonlyArray<IBasicComment>;
    /**
     * A list of top-level actions to show for this thread, such as Get Link or Delete Comment.
     */
    threadActions: ReadonlyArray<ICommentAction>;
    /**
     * Callback function triggered when the close button is clicked.
     */
    onClose: () => void;
    /**
     * Callback function when the active user submits a new reply to the thread.
     */
    onCommentAdd: (message: string, attachments?: ICommentAttachment[], tags?: string[], metadata?: Record<string, any>) => void;
    /**
     * Author details for the currently logged in user for displaying next to the reply text field.
     */
    currentUser: ICommentAuthor;
};
export declare const CommentThreadContainer: React.FC<ICommentThread>;
