import { ListProps } from '@mui/material/List';
export type IContentMenuItem = {
    nodeId: string;
    label: string;
};
export type IContentMenu = Omit<ListProps, 'children'> & {
    /**
     *  List of items to show in the menu.
     *
     *  ```
     *  export type IContentMenuItem = {
     *   nodeId: string;
     *   label: string;
     * }
     *  ```
     *
     */
    items: ReadonlyArray<IContentMenuItem>;
    /**
     * The id of the currently active content menu item.
     */
    selectedNodeId?: string;
    /**
     * Callback function triggered when a menu item item is clicked.
     */
    onMenuItemClick?: (node: IContentMenuItem) => void;
};
export declare const ContentMenu: React.FC<IContentMenu>;
