import React from 'react';
import { CardProps } from '@mui/material/Card';
import { ICardLoadingProps } from '../Card/Card.container';
export interface IEmptyCard extends ICardLoadingProps, CardProps {
    /**
     * The Icon element displayed on the top of Card. It could be an Icon or an image.
     * @default `<AddIcon className="iconStyle" />`
     */
    icon?: React.ReactNode;
    /**
     * The header of the component.
     * @default ''
     */
    header?: string | React.ReactNode;
    /**
     * The description for additional information.
     * @default ''
     */
    description?: string | React.ReactNode;
    /**
     * determines the shape of the card
     * @default square
     */
    mode?: 'square' | 'rectangle';
}
export declare const EmptyCard: (props: IEmptyCard) => import("react/jsx-runtime").JSX.Element;
