import { DropzoneState } from 'react-dropzone';
import type { DropzoneOptions, DropzoneRootProps } from 'react-dropzone/typings/react-dropzone';
import { StackProps } from '@mui/material/Stack';
import { TranslateFuncType } from '../util/models';
/** The props type of [[`FileDragDropContainer`]]. */
export type IFileDragDrop = Omit<StackProps, 'color'> & DropzoneRootProps & {
    /**
     *  The label of the upload button
     */
    buttonLabel: string;
    /**
     *  the description of the drop zone
     */
    dropZoneDescription: string;
    /**
     *  Options to configure the react-dropzone root element.
     */
    dropZoneOptions?: DropzoneOptions;
    /**
     *  translate function
     */
    t: TranslateFuncType;
};
export type IFileDragDropComponent = IFileDragDrop & Pick<DropzoneState, 'open' | 'getRootProps' | 'getInputProps' | 'isDragActive' | 'isDragAccept' | 'isDragReject'>;
export declare const FileDragDrop: (props: IFileDragDrop) => import("react/jsx-runtime").JSX.Element;
