import { FC, ReactNode } from 'react';
import { StackProps } from '@mui/material/Stack';
export interface IGridHeader extends Omit<StackProps, 'title'> {
    /**
     *  Main icon to render before the title.
     */
    icon?: ReactNode;
    /**
     *  The primary text displayed in the header.
     */
    title: ReactNode;
    /**
     *  The secondary text displayed in the header.
     */
    description?: ReactNode;
    /**
     *  Elements to render next to the title.
     */
    titleActions?: ReactNode;
    /**
     * The primary action / button displayed opposite the title.
     */
    primaryAction?: ReactNode;
    /**
     * Search component to render below the title.
     */
    search?: ReactNode;
}
export declare const GridHeader: FC<IGridHeader>;
