import { CardProps } from '@mui/material/Card';
import { ReactNode } from 'react';
import { ICardActionsProps, ICardBadgesProps, ICardLoadingProps } from '../Card/Card.container';
export type IImageCard = Omit<CardProps, 'children' | 'content' | 'title'> & ICardLoadingProps & ICardActionsProps & ICardBadgesProps & {
    /**
     * The main body content to display in the card.
     * @default undefined
     */
    content?: ReactNode;
    /**
     * The main text to display in the card
     * @default undefined
     */
    headline: ReactNode;
    /**
     * The icon element to display beside the headline
     * @default undefined
     */
    icon?: ReactNode;
    /**
     * If true, the spacing in the card will be condensed and the text size of the heading will be reduced.
     * @default false
     */
    dense?: boolean;
    /**
     * The url of an image to display in the card.
     * @default undefined
     */
    image?: string;
    /**
     * The flex direction for the content to flow.
     * @default 'column'
     */
    direction?: 'column' | 'row';
};
export declare const ImageCard: (props: IImageCard) => import("react/jsx-runtime").JSX.Element;
