import { ReactNode } from 'react';
import { ToolbarProps } from '@mui/material/Toolbar';
/** The props type of [[`NavBarContainer`]]. */
export interface INavBar extends ToolbarProps {
    /**
     *  Leftmost icon in the toolbar — typically a menu, back arrow, or close icon.
     */
    navIcon?: ReactNode;
    /**
     *  Graphic to display representing the application.
     */
    appLogo?: ReactNode;
    /**
     *  Optional status badge to display next to the title / logo.
     */
    badge?: ReactNode;
    /**
     *  Text title to display for the page.
     */
    pageTitle?: string | ReactNode;
    /**
     *  Custom content to render on the left side of the toolbar after the (optional) title.
     */
    leftActions?: ReactNode;
}
export declare const NavBar: (props: INavBar) => import("react/jsx-runtime").JSX.Element;
