import { INumberFormatter } from './types';
/**
 *
 * @param number the number to format
 * @param options configuration options for formatting the provided number
 * @returns a formatted version of the number as a string
 */
export declare const formatNumber: (number: number, options?: Omit<Partial<INumberFormatter>, "children">) => string;
/**
 * A NumberFormatter component which will format its child
 * according to the configuration options passed as props or
 * available through a NumberFormatterContext.
 */
declare const NumberFormatterComponent: (props: INumberFormatter) => string;
export default NumberFormatterComponent;
