import * as React from 'react';
import { IShareConfig } from '../../model';
export type IMobilePermissionSheet = {
    /**
     *  Open control for the permission sheet
     */
    open: boolean;
    /**
     * CLose callback for the permission sheet
     */
    handleClose: () => void;
    /**
     * data required for the permission sheet
     *
     * type IShareConfig = {
     *   user?: IBasicUser;
     *   extraActions?: IMenuAction[];
     *   editable: boolean;
     *   permissionLevels: IPermissionLevel[];
     *   permissionLevel: string;
     *   onPermissionChange: (permission: string) => void;
     * }
     */
    shareConfig: IShareConfig;
};
export declare const MobilePermissionSheet: React.FC<IMobilePermissionSheet>;
