import React from 'react';
import { ButtonProps } from '@mui/material/Button';
import { IPermissionLevel } from '../../model';
type IButtonPicker = Omit<ButtonProps, 'disabled'> & {
    /**
     * is action sheet or menu opened
     */
    open: boolean;
    /**
     *  permission level to show
     */
    permission?: IPermissionLevel;
    /**
     * If true, the buttons will be disabled.
     *
     */
    disabled?: boolean;
    /**
     * The tooltip message display on the disabled button
     *
     */
    disabledMessage?: string;
};
export declare const PermissionButton: React.FC<IButtonPicker>;
export {};
