import * as React from 'react';
import { IShareConfig } from '../../model';
export type IPermissionLevelPicker = IShareConfig & {
    /**
     * If true, the menu options will be displayed in a bottomsheet instead of a menu.
     *
     */
    useBottomsheet?: boolean;
    /**
     * If true, the buttons / actions will collapse into a single 3-dot icon button.
     *
     */
    isMobile?: boolean;
    /**
     * If true, the permission label will display on the left of the more icon in mobile screen
     *
     */
    showPermissionLabel?: boolean;
    /**
     * If true, the buttons will be disabled.
     *
     */
    disabled?: boolean;
    /**
     * The tooltip message display on the disabled button
     *
     */
    disabledMessage?: string;
};
export declare const PermissionPicker: React.FC<IPermissionLevelPicker>;
