import { AvatarProps } from '@mui/material/Avatar';
import { StatusMapping } from './StatusAvatar.component';
import { IUserInfo } from '../models';
export type IStatusAvatar = AvatarProps & Partial<IUserInfo> & {
    /**
     *  Mapping of statuses to colors used for the status badges. You can define your own custom status strings that you want to use or use the presets. Colors support SX shorthand.
     *
     * type StatusMapping = { [key: string]: string };
     *
     * @default `{ available: 'success.light', away: 'grey.300', offline: 'error.main' }`
     */
    statusMapping?: StatusMapping;
    /**
     * Text to show in a tooltip on hover.
     */
    tooltip?: string;
};
export declare const StatusAvatar: React.FC<IStatusAvatar>;
