import * as React from 'react';
import { CardProps } from '@mui/material/Card';
import { CardHeaderProps } from '@mui/material/CardHeader';
import { ITaskItem } from './TaskItem';
export type ITaskManagerItem = Omit<ITaskItem, 'nesting'> & {
    id: string;
};
export type ITaskManager = Omit<CardProps, 'title'> & {
    /**
     * The title to show in the CardHeader
     */
    title?: CardHeaderProps['title'];
    /**
     * A list of TaskItems and subtasks to display
     *
     * type ITaskManagerItem = Omit<ITaskItem, 'nesting'> & { id: string };
     */
    tasks: ReadonlyArray<ITaskManagerItem & {
        subtasks?: ReadonlyArray<ITaskManagerItem>;
    }>;
    /**
     * A final TaskItem that should be rendered in the Card footer (CardActions)
     */
    endGoal?: Omit<ITaskItem, 'nesting'>;
};
export declare const TaskManager: React.FC<ITaskManager>;
