import { Unit } from '../types';
declare enum LengthUnit {
    Inch = "in",
    Millimetre = "mm",
    Centimetre = "cm",
    Foot = "ft",
    Metre = "m",
    Decimetre = "dm"
}
/**
 * @name handleValueOfInchUnit
 * @description Handle inch unit, if the unit is inch, convert the decimal to a binary fraction.
 * @param {string} value The input value allows decimal only.
 * @example 1.5 => 1 1/2
 * @example 1.25 => 1 1/4
 */
export declare const handleValueOfInchUnit: (value: string) => string;
export declare const LengthUnits: Unit<LengthUnit>[];
export declare const Length: Record<LengthUnit, Unit<LengthUnit>>;
export {};
