import React from 'react';
import { SxProps, Theme } from '@mui/material/styles';
import { DrawerProps } from '@mui/material/Drawer/Drawer';
export interface IBottomSheet extends Omit<DrawerProps, 'open' | 'onClose' | 'style'> {
    /** Fired when the the background is clicked. */
    onClose: () => void;
    /** Controls whether the bottom sheet is opened or not. */
    open: boolean;
    /** Adds an action element at the top right corner. */
    action?: React.ReactNode;
    /** Override the inline-styles of the body element. */
    bodyStyle?: SxProps<Theme>;
    /** Override the inline-styles of the content element. */
    contentStyle?: SxProps<Theme>;
    /** Override the inline-styles of the root element. */
    style?: SxProps<Theme>;
}
export declare const BottomSheet: React.FC<IBottomSheet>;
