import { SelectProps } from '@mui/material/Select';
export interface ICountrySelect extends Omit<SelectProps, 'onChange' | 'children'> {
    /**
     * Determines whether the none option is included
     * @default false
     */
    includeNoneOption?: boolean;
    /**
     * The callback fired when the value changes.
     * @param {string} value - provides the value of the selected country
     */
    onChange?: (value: string) => void;
    /**
     * The excluded countries, e.g. ['us', 'ca']
     * @default undefined
     */
    includeCountries?: ReadonlyArray<string>;
    /**
     * The included countries, e.g. ['us', 'ca']
     * @default undefined
     */
    excludeCountries?: ReadonlyArray<string>;
}
export declare const CountrySelect: (props: ICountrySelect) => import("react/jsx-runtime").JSX.Element;
