import React from 'react';
import { FormControlLabelProps } from '@mui/material/FormControlLabel';
import { RadioProps } from '@mui/material/Radio';
import { RadioGroupProps } from '@mui/material/RadioGroup';
import { ControllerProps } from 'react-hook-form';
export type OptionProps = Omit<FormControlLabelProps, 'control'>;
export type RadioOptionsProps = ReadonlyArray<OptionProps>;
export type FormControllerProps = Omit<ControllerProps, 'control' | 'name' | 'rules' | 'render'>;
export interface FormRadioProps extends RadioGroupProps {
    name: string;
    options: RadioOptionsProps;
    rules?: ControllerProps['rules'];
    controllerProps?: FormControllerProps;
    radioProps?: RadioProps;
}
/**
 * @param {FormRadioProps} props - provides the properties fo React component
 * @return {ReactNode} - provides the react component to be ingested
 **/
export declare const FormRadio: React.FC<FormRadioProps>;
