import { FC } from 'react';
import { SelectProps } from '@mui/material/Select';
import { ControllerProps, UseControllerProps } from 'react-hook-form';
import type { OptionType } from '../../models';
export type FormSelectProps = {
    label: string;
    name: string;
    options: ReadonlyArray<OptionType>;
    includeNoneOption?: boolean;
    rules?: UseControllerProps['rules'];
    defaultValue?: string;
    customSelectItem?: FC<any>;
    controllerProps?: Omit<ControllerProps, 'name' | 'control' | 'rules' | 'defaultValue' | 'render'>;
} & SelectProps;
/**
 * @param {FormSelectProps} props - provides the properties fo React component
 * @return {ReactNode} - provides the react component to be ingested
 **/
export declare const FormSelect: FC<FormSelectProps>;
