import { IActionGroup } from '../../../core/ActionGroup';
/**
 * The AssemblyTreeActions component is a wrapper around the ActionGroup
 * to apply the necessary styles (if relevant) to collapse/hide the actions
 * when the AssemblyTreeItem is not hovered.
 */
export type IAssemblyTreeItemActions = IActionGroup & {
    /**
     * Tells the component whether or not it should be hidden when the TreeItem it appears in is not hovered.
     * @default true
     */
    hideOnBlur?: boolean;
};
export declare const AssemblyTreeItemActions: React.FC<IAssemblyTreeItemActions>;
