import { GridActionsCellItemProps, GridColDef } from '@mui/x-data-grid';
export declare enum FileAction {
    Download = "download",
    Edit = "edit",
    Remove = "remove",
    Open = "open",
    Share = "share",
    Folder = "folder"
}
export interface FileRowData {
    id: string;
    name: string;
    owner: string;
    updatedTime: string;
    size: number;
    path?: string;
    isFolder?: boolean;
    isSubFile?: boolean;
    icon?: React.ReactNode;
}
export type FileActionFuncType<T extends FileRowData> = (row: T, action: string) => void;
export interface FileRowActionCellProps<T extends FileRowData> {
    row: T;
    onAction: FileActionFuncType<T>;
}
export type FileRowActionsGeneratorType<T extends FileRowData> = (props: FileRowActionCellProps<T>) => GridActionsCellItemProps[];
export type FilColumnGeneratorType = <T extends FileRowData>(rowActionGenerator: FileRowActionsGeneratorType<T>, t: (key: string) => string, isMobile: boolean, onAction: FileActionFuncType<T>, onShowBottomSheet: (sheetItems: React.ReactNode) => void) => GridColDef<T>[];
