import { ReactNode } from 'react';
import { IAccountDropdown, IAccountMenuItem } from './AccountDropdown.container';
/**
 * @param {item} item - provides the footItem object
 * @param {onClose} onClose - provides the function to close the menu
 * @return {ReactNode} - provides the React component to be ingested.
 **/
export declare const accountMenuItem: (item: IAccountMenuItem, onClose?: () => void) => ReactNode;
/**
 * @param {IAccountDropdown} props - provides the properties fo React component
 * @return {JSX.Element} - provides the React component to be ingested.
 **/
declare const AccountDropdownComponent: ({ version, items, legalItems, userInfo, isAdmin, onSignOut, onMenuItemClick, onUserClick, accountLinkTarget, loading, loadingMessage, hideBackHeader, ...otherMenuProps }: IAccountDropdown) => JSX.Element;
export default AccountDropdownComponent;
