import * as React from 'react';
import { AvatarProps } from '@mui/material/Avatar';
import { IUserInfo } from '../models';
import type { IAudienceGroup } from './AudienceGroup.container';
type AvatarProperties = Omit<AvatarProps, 'onClick'> & {
    user: IUserInfo;
    onClick: IAudienceGroup['onClick'];
    statusMapping: IAudienceGroup['statusMapping'];
    /**
     * Size of the avatar. using the same size for width and height, the default size is 40px.
     */
    size?: number;
};
type LastAvatarProperties = Omit<AvatarProps, 'onClick'> & Pick<IAudienceGroup, 'onClick' | 'statusMapping' | 'menuBackgroundColor' | 'menuTextColor'> & {
    users: ReadonlyArray<IUserInfo>;
    max: number;
    AvatarGroupProps?: Partial<Omit<AvatarProps, 'onClick'>>;
    /**
     * Size of the anchorAvatar. default is "large".
     * @type IAudienceGroup['size']
     */
    anchorSize?: IAudienceGroup['size'];
};
export declare const HexAvatar: React.FC<AvatarProperties & {
    tooltip?: boolean;
}>;
export declare const AvatarDropDown: React.FC<LastAvatarProperties>;
export declare const AudienceGroup: (props: IAudienceGroup) => import("react/jsx-runtime").JSX.Element;
export {};
