import { PropsWithChildren } from 'react';
import { HsvaColor } from '../utils/ColorUtil';
import { HexRgbColor } from '../types';
import { TranslateFuncType } from '../../util/models';
interface IContextProps {
    hsva: HsvaColor;
    rgbColor: string;
    hexColor: string;
    onHsvaChange: (hsva: HsvaColor) => void;
    t: TranslateFuncType;
}
export type IColorPickerProvider = PropsWithChildren<{
    initialColor?: string;
    mode?: 'realtime' | 'confirmRequired';
    onColorChanged?: (color: HexRgbColor) => void;
    t: TranslateFuncType;
}>;
export declare const ColorPickerContext: import("react").Context<IContextProps>;
export declare const ColorPickerContextProvider: React.FC<IColorPickerProvider>;
export declare const useColorContext: () => IContextProps;
export {};
