import { ChipProps } from '@mui/material/Chip';
import { TranslateFuncType } from '../../../util/models';
export type TagOption = {
    label: string;
    value: string;
    color: ChipProps['color'];
};
export interface ITagsPlugin {
    t: TranslateFuncType;
    tags: ReadonlyArray<string>;
    tagOptions?: ReadonlyArray<TagOption>;
    tagging?: boolean;
    onTagCancel?: () => void;
    onTagsChange: (tags: string[]) => void;
    mode: 'edit' | 'view';
}
export declare const TagsPlugin: import("react").ForwardRefExoticComponent<ITagsPlugin & import("react").RefAttributes<unknown>>;
