import { ICondition, IConditionalFilter } from '../ConditionalFilter.container';
import { DialogProps } from '../../Dialog';
/** The props of the component FilterDialog */
export interface IFilterDialog extends DialogProps, Pick<IConditionalFilter, 'fieldOptions' | 'operatorOptions'> {
    /**
     * The default value of the conditional filter
     *
     * ```
     * export type ICondition = {
     *  id: string;
     *  andor?: 'and' | 'or';
     *  field: string;
     *  operator: string;
     *  value: string;
     * }
     *
     * ```
     *
     */
    defaultConditions?: ReadonlyArray<ICondition>;
    /**
     *  The function used to handle the returns
     *
     * ```
     * export type ICondition = {
     *  id: string;
     *  andor?: 'and' | 'or';
     *  field: string;
     *  operator: string;
     *  value: string;
     * }
     *
     * ```
     *
     */
    onApply: (conditions: ICondition[]) => void;
}
export declare const FilterDialog: (props: IFilterDialog) => import("react/jsx-runtime").JSX.Element;
