import { DrawerProps } from '@mui/material/Drawer';
import { CSSProperties } from 'react';
import { IDrawerContextProps } from './type';
export interface IDrawer extends DrawerProps, IDrawerContextProps {
    /**
     * Width of the Drawer component.
     * @default '320px'
     */
    width?: CSSProperties['width'];
    /**
     * The variant to use.
     * @default 'persistent'
     */
    variant?: DrawerProps['variant'];
    /**
     * Callback fired when a node is expanded/collapsed. This function returns an array of all currently expanded nodes' ids.
     */
    onNavItemExpanded?: (itemIds: ReadonlyArray<string>) => void;
}
export declare const Drawer: (props: IDrawer) => import("react/jsx-runtime").JSX.Element;
