import { ReactElement, ReactNode } from 'react';
import { AppBarProps } from '@mui/material/AppBar';
export interface IDrawerHeader extends AppBarProps {
    /**
     * The label to display in the drawer header, it can be a string or a custom component.
     */
    label: string | ReactNode;
    /**
     * The icon component to display in the drawer header.
     */
    icon?: ReactElement;
    /**
     * If true, a divider will be shown below the header.
     * @default true
     */
    divider?: boolean;
    /**
     * Callback function triggered when the icon is clicked.
     */
    onIconClick?: () => void;
}
export declare const DrawerHeader: (props: IDrawerHeader) => import("react/jsx-runtime").JSX.Element;
