import { ReactNode, ReactElement, RefObject } from 'react';
import { BoxProps } from '@mui/material/Box';
/** The props of the component FilterOverlay */
export interface IFilterOverlay extends Omit<BoxProps, 'title'> {
    /**
     *  Determine the filter overlay show or not
     */
    open: boolean;
    /**
     *  A custom component for the filter section of this component
     */
    filterSection: ReactElement;
    /**
     *  A custom search bar component
     */
    searchBar?: ReactNode;
    /**
     *  A custom component shows at the bottom of this component
     */
    actionBar?: ReactNode;
    /**
     *  Callback function to close the filter overlay
     */
    onClose: () => void;
    /**
     *  Indicate element the filter overlay refer to
     */
    anchorRef?: RefObject<HTMLDivElement | HTMLButtonElement>;
}
export declare const FilterOverlay: (props: IFilterOverlay) => import("react/jsx-runtime").JSX.Element;
