import { BoxProps } from '@mui/material/Box';
import { LinkProps } from '@mui/material/Link';
export interface IFooter extends BoxProps {
    /**
     * Text to render for the copyright string.
     * @default ""
     */
    copyright: string;
    /**
     * The array of links to render.
     * @default []
     */
    links: ReadonlyArray<Omit<LinkProps, 'children' | 'title'> & {
        title: string;
        'data-testid'?: string;
    }>;
}
export type ISmartFooter = Partial<IFooter> & Pick<IFooter, 'copyright'>;
export declare const FooterContainer: React.FC<IFooter>;
export declare const SmartFooterContainer: React.FC<ISmartFooter>;
