import { DialogContentProps } from '@mui/material/DialogContent';
import { TranslateFuncType } from '../../util/models';
/** The props type of [[`ImageUploadContainer`]]. */
export interface IImageUpload extends DialogContentProps {
    /**
     *  Source for the currently selected image, if any.
     */
    currentImage?: string | React.ReactNode;
    /**
     *  Callback for when a new image is selected/uploaded.
     */
    onImageChange: (newImage: File) => void;
    /**
     *  translate function
     */
    t: TranslateFuncType;
}
export declare const ImageUpload: (props: IImageUpload) => import("react/jsx-runtime").JSX.Element;
