import { MenuItemProps } from '@mui/material/MenuItem';
export type ILegalMenuItem = Omit<MenuItemProps, 'children'> & {
    name: string;
    url?: string;
    'data-testid'?: string;
};
export type ILegalMenu = Omit<MenuItemProps, 'children'> & {
    /**
     * List of menu items to show in the legal sub-menu
     * ```
     * type ILegalMenuItem = Omit<MenuItemProps, 'children'> & {
     *   name: string;
     *   url?: string;
     *   'data-testid'?: string;
     * };
     * ```
     */
    items: ReadonlyArray<ILegalMenuItem>;
    /**
     * Callback fired when any item in the legal menu is clicked. Typically this will be used to close the menu.
     */
    onMenuItemClick?: () => void;
};
export declare const LegalMenu: (props: ILegalMenu) => import("react/jsx-runtime").JSX.Element;
