import { CardProps } from '@mui/material/Card';
import { ReactNode } from 'react';
import { ICardActionsProps, ICardLoadingProps } from '../Card/Card.container';
export type ILinkCard = Omit<CardProps, 'children' | 'content' | 'title'> & ICardLoadingProps & ICardActionsProps & {
    /**
     * Category / label text to display above the link title
     * @default undefined
     */
    label?: ReactNode;
    /**
     * The main title text for the link.
     * @default undefined
     */
    title: ReactNode;
    /**
     * The url to open when the link is clicked
     * @default undefined
     */
    href?: HTMLAnchorElement['href'];
    /**
     * The url target
     * @default '_blank'
     */
    target?: HTMLAnchorElement['target'];
    /**
     * If true, the spacing in the card will be condensed and the text size of the heading will be reduced.
     * @default false
     */
    dense?: boolean;
};
export declare const LinkCard: (props: ILinkCard) => import("react/jsx-runtime").JSX.Element;
