import { ReactNode } from 'react';
import { BackdropProps } from '@mui/material/Backdrop';
/** The props of the component LoadingPanel */
export interface ILoadingPanel extends Omit<BackdropProps, 'children' | 'open'> {
    /**
     *  Determine whether the loading panel is visible or not
     */
    open?: boolean;
    /**
     * The loader indicate progress
     * @default <CircularProgress />
     */
    loader?: ReactNode;
    /**
     * The title display under the loader
     */
    loadingTitle?: ReactNode;
    /**
     *  The message display under title
     */
    loadingMessage?: ReactNode;
}
export declare const LoadingPanel: (props: ILoadingPanel) => import("react/jsx-runtime").JSX.Element;
