import * as React from 'react';
import { StackProps } from '@mui/material/Stack';
export type ILogoBlock = StackProps & {
    /**
     * A component for the specific product logo. It is recommended to use a product logo component from @nexusui/branding.
     */
    productLogo?: React.ReactNode;
    /**
     * The name of the current product.
     */
    productName?: React.ReactNode;
    /**
     * If true, the Hexagon logo will be shown. Disable to show only the product logo.
     *
     * @default true
     */
    showHexagon?: boolean;
    /**
     * Callback fired when the Product Logo / Name are clicked. If this prop is specified, the logo and name will be rendered inside a MUI Button.
     */
    onProductClick?: React.MouseEventHandler<HTMLButtonElement>;
    /**
     * Callback fired when the Hexagon Logo is clicked. If this prop is specified, the Hexagon logo will be rendered inside a MUI IconButton.
     */
    onHexagonClick?: React.MouseEventHandler<HTMLButtonElement>;
};
export declare const LogoBlock: (props: ILogoBlock) => import("react/jsx-runtime").JSX.Element;
export default LogoBlock;
