import type { OptionType } from '../../../models';
import { TranslateFuncType } from '../../../util/models';
export type NotificationFilterProps = {
    /**
     * Is in mobile size.
     */
    isMobile: boolean;
    /**
     * Wether to disable the filter
     */
    disabled: boolean;
    /**
     * Selected filter option
     * @default []
     */
    selectedFilterOptions?: ReadonlyArray<string>;
    /**
     * Filter options to select
     */
    filterOptions: ReadonlyArray<OptionType>;
    /**
     *  Determine wether the onlyShowUnread checkbox is checked
     */
    onlyShowUnread: boolean;
    /**
     * Only show unread check box call back function
     * @param checked bool value to determine wether the checkbox is checked
     * @returns void
     */
    onOnlyShowUnreadChange: (checked: boolean) => void;
    /**
     * Call back function when filter values are changed.
     * @param filters selected filters
     * @returns void
     */
    onFilterChanged?: (filters: string[]) => void;
    /**
     * Translate function
     */
    t: TranslateFuncType;
    /**
     * Call back function when the setting menu item clicked.
     */
    onClickSetting?: React.MouseEventHandler<HTMLLIElement>;
};
export declare const prefix = "NexusNotificationFilter";
export declare const NotificationFilter: React.FC<NotificationFilterProps>;
