import { ReactNode } from 'react';
import { NotificationData, NotificationItemData } from '../../models';
import { TranslateFuncType } from '../../../util/models';
export type NotificationContentProps = {
    /**
     * Notification data source
     */
    notification: NotificationItemData;
    /**
     * Call back function when the notification content are clicked
     * @param event event object
     * @param notification the data source for the notification content.
     * @returns void
     */
    onItemClick: (notification: NotificationData) => void;
    /**
     * Translate function
     */
    t: TranslateFuncType;
    /**
     * Boolean value to determine if this notification content is a nested one.
     */
    isNested?: boolean;
    /**
     * The nested notification info that need to show
     */
    nestedNode?: ReactNode;
    /**
     * Determine wether to show the nested line for each nested notification
     */
    showNestedLine?: boolean;
};
export declare const prefix = "NexusNotificationContent";
export declare const NotificationContent: (props: NotificationContentProps) => import("react/jsx-runtime").JSX.Element;
