import React from 'react';
import { NotificationFilterProps } from '../NotificationFilter';
type NotificationsHeaderProps = {
    /**
     * Is in mobile size.
     */
    isMobile: boolean;
    /**
     * No unread notifications
     */
    disableMarkAllAsRead: boolean;
    /**
     * Mark all as read callback function
     */
    onMarkAllAsRead: React.MouseEventHandler<HTMLButtonElement>;
    /**
     * Callback function when use clicked the close button in mobile mode,
     * @returns void
     */
    onClose?: () => void;
};
export type INotificationsHeader = NotificationFilterProps & NotificationsHeaderProps;
export declare const prefix = "NexusNotificationsHeader";
export declare const NotificationsHeader: (props: INotificationsHeader) => import("react/jsx-runtime").JSX.Element;
export {};
