import { CardProps } from '@mui/material/Card';
import { ReactNode } from 'react';
import { ICardActionsProps, ICardLoadingProps } from '../Card/Card.container';
export type IPlainCard = Omit<CardProps, 'children' | 'content'> & ICardLoadingProps & ICardActionsProps & {
    /**
     * The color palette / theme to use for the card background / text / buttons.
     * It only works in `teaser` type.
     * @default 'default'.
     */
    color?: 'primary' | 'secondary' | 'info' | 'default';
    /**
     * The main body content to display in the card.
     * @default undefined
     */
    content?: ReactNode;
    /**
     * The main text to display in the top left corner of the card
     * @default undefined
     */
    headline: ReactNode;
    /**
     * The icon element to display in the top left top corner of the card or left of the headline
     * It works in `teaser`, `support`, `news` and `collection` type.
     * @default undefined
     */
    icon?: ReactNode;
    /**
     * If true, the spacing in the card will be condensed and the text size of the heading will be reduced.
     * @default false
     */
    dense?: boolean;
};
export declare const PlainCard: (props: IPlainCard) => import("react/jsx-runtime").JSX.Element;
