import * as React from 'react';
import { IShareConfig } from '../../model';
export type IMobileOrgSheet = {
    /**
     *  Open control for the organization sheet
     */
    open: boolean;
    /**
     * CLose callback for the organization sheet
     */
    handleClose: () => void;
    /**
     * data required for the organization sheet
     *
     * type IShareConfig = {
     *   user?: IBasicUser;
     *   extraActions?: IMenuAction[];
     *   editable: boolean;
     *   permissionLevels: IPermissionLevel[];
     *   permissionLevel: string;
     *   onPermissionChange: (permission: string) => void;
     *   orgOptions?: ReadonlyArray<IOrgOption>;
     *   selectedOrg?: string;
     *   onOrgChange?: (org: string) => void;
     * }
     */
    shareConfig: IShareConfig;
};
export declare const MobileOrgSheet: React.FC<IMobileOrgSheet>;
