import type { ChipProps } from '@mui/material/Chip';
import type { BoxProps } from '@mui/material/Box';
import type { AlertProps } from '@mui/material/Alert';
export type IStatusBadgeProps = Pick<ChipProps, 'label' | 'icon' | 'clickable' | 'children'> & Omit<BoxProps, 'children' | 'component' | 'ref'> & {
    /**
     * The color of the component. It supports those theme colors that make sense for this component.
     * @default 'info'
     * @type 'success' | 'error' | 'warning' | 'info'
     */
    color?: AlertProps['color'] | string;
    /**
     * Text to show in a tooltip on hover.
     */
    tooltip?: string;
};
export declare const StatusBadge: React.FC<IStatusBadgeProps>;
