import { ReactNode } from 'react';
import { ListItemButtonProps } from '@mui/material/ListItemButton';
import { ListItemTextProps } from '@mui/material/ListItemText';
export type ITaskItem = Omit<ListItemButtonProps, 'action' | 'children'> & {
    /**
     * The primary text to display
     */
    primary: ListItemTextProps['primary'];
    /**
     * An extra line of text to appear beside the primary text
     */
    primaryModifier?: ReactNode;
    /**
     * The secondary line of text to display
     */
    secondary?: ListItemTextProps['secondary'];
    /**
     * The current status of the task , used to determine the icon (undefined = no icon)
     */
    status?: 'complete' | 'available' | 'unavailable';
    /**
     * An element, such as a button, to render at the edge of the TaskItem
     */
    action?: JSX.Element;
    /**
     * Controls the nesting styles for TaskItems that are subtasks
     *
     * @default 'none'
     */
    nesting?: 'none' | 'nth-child' | 'last-child';
};
export declare const TaskItem: React.FC<ITaskItem>;
