import React from 'react';
import { BoxProps } from '@mui/material/Box';
export interface VideoPlayerProps extends BoxProps {
    /**
     * It allows you to define the video configuration, such as the source URL, poster image, and other HTML video attributes. It accepts an object of type React.VideoHTMLAttributes<HTMLVideoElement>. For a full list of available attributes, refer to https://developer.mozilla.org/en-US/docs/Web/API/HTMLVideoElement.
     */
    video?: React.VideoHTMLAttributes<HTMLVideoElement>;
    /**
     * It allows you to define multiple media resources for the video element. It accepts an array of objects of type React.SourceHTMLAttributes<HTMLSourceElement>. Each object can specify attributes like src, type, and more. For a full list of available attributes, refer to https://developer.mozilla.org/en-US/docs/Web/API/HTMLSourceElement.
     */
    sources?: ReadonlyArray<React.SourceHTMLAttributes<HTMLSourceElement>>;
    /**
     * It allows you to define text tracks (such as subtitles or captions) for the video element.. It accepts an array of objects of type React.TrackHTMLAttributes<HTMLTrackElement>. Each object can specify attributes like src, kind, label, and more. For a full list of available attributes, refer to https://developer.mozilla.org/en-US/docs/Web/API/HTMLTrackElement.
     */
    tracks?: ReadonlyArray<React.TrackHTMLAttributes<HTMLTrackElement>>;
}
