import React from 'react';
import { FormControlLabelProps } from '@mui/material/FormControlLabel';
import { ControllerProps } from 'react-hook-form';
import { CheckboxProps } from '@mui/material/Checkbox';
export type FormControllerProps = Omit<ControllerProps, 'control' | 'name' | 'rules' | 'render'>;
export interface FormCheckboxProps extends Omit<FormControlLabelProps, 'control' | 'label'> {
    name: string;
    label?: React.ReactNode;
    rules?: ControllerProps['rules'];
    controllerProps?: FormControllerProps;
    checkBoxProps?: CheckboxProps;
}
/**
 * @param {FormCheckboxProps} props - provides the properties fo React component
 * @return {ReactNode} - provides the react component to be ingested
 **/
export declare const FormCheckbox: React.FC<FormCheckboxProps>;
