import React from 'react';
import { ControllerProps, UseControllerProps } from 'react-hook-form';
import { TextFieldProps } from '@mui/material/TextField';
type FormControllerProps = Omit<ControllerProps, 'control' | 'name' | 'rules' | 'render'>;
export type FormInputProps = {
    name: string;
    rules?: UseControllerProps['rules'];
    controllerProps?: FormControllerProps;
} & TextFieldProps;
/**
 * @param {FormInputProps} props - provides the properties fo React component
 * @return {ReactNode} - provides the react component to be ingested
 **/
export declare const FormInput: React.FC<FormInputProps>;
export {};
