import React from 'react';
import { ControllerProps, UseControllerProps } from 'react-hook-form';
import { FormControlLabelProps } from '@mui/material/FormControlLabel';
import { SwitchProps } from '@mui/material/Switch';
export interface FormToggleProps extends Omit<FormControlLabelProps, 'name' | 'label' | 'control'> {
    name: string;
    label?: string;
    rules?: UseControllerProps['rules'];
    controllerProps?: Omit<ControllerProps, 'name' | 'control' | 'rules' | 'render'>;
    switchProps?: SwitchProps;
}
/**
 * @param {FormToggleProps} props - provides the properties fo React component
 * @return {ReactNode} - provides the react component to be ingested
 **/
export declare const FormToggle: React.FC<FormToggleProps>;
